Get Avi Controller

Get Avi Controller
Get Avi Load Balancer Controller

Retrieves a specific Avi Load Balancer Controller.

Request
URI
GET
https://{api_host}/cloudapi/v1/loadBalancer/aviControllers/{aviControllerId}
COPY
Path Parameters
string
aviControllerId
Required

aviControllerId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AviController of type(s) application/json;version=9.1.0
This response body class contains all of the following: NetworkingEntityStatus , InlineAviController1
{
    "status": "string",
    "id": "urn:vcloud:aviController:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "description": "string",
    "url": "https://aviController.mydomain.com",
    "username": "string",
    "password": "string",
    "version": "string",
    "isDedicatedForClassicTenants": false,
    "controllerStatus": "string",
    "license": "string",
    "regionRef": {
        "name": "string",
        "id": "string"
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/loadBalancer/aviControllers/{aviControllerId}